import { useEffect } from "react";
import { getHostStatus } from "./HostStatusData";
import { Status } from "../../common/Status";
import {
  useFindHostStatusQuery,
  useLazyFindHostAlertsQuery
} from "../../../store/deployApi";

export const HostStatus = ({ hostId, hideAlerts }) => {
  const [callFindHostAlerts, { data: hostAlert }] =
    useLazyFindHostAlertsQuery();

  const { data: hostStateStatus } = useFindHostStatusQuery({ hostId });

  useEffect(() => {
    if (!hideAlerts) {
      callFindHostAlerts({ hostId });
    }
  }, [callFindHostAlerts, hideAlerts, hostId]);

  return (
    <>
      {hostStateStatus && (
        <Status
          id={hostStateStatus.hostId}
          state={hostStateStatus}
          alert={hostAlert}
          hideAlerts={hideAlerts}
          getStatusFcn={getHostStatus}
        />
      )}
    </>
  );
};
