import { LinearProgress } from "@mui/material";
import { IOCDetailsView } from "./IOCDetailsView";
import { NotFoundView } from "../../components/navigation/NotFoundView/NotFoundView";
import { useGetIocQuery } from "../../store/enhancedApi";
import { ApiAlertError } from "../../components/common/Alerts/ApiAlertError";

const IOC_POLL_INTERVAL = 5000;

export function IOCDetailsContainer({ id }) {
  const { data: ioc, error } = useGetIocQuery(
    { iocId: id },
    { pollingInterval: IOC_POLL_INTERVAL }
  );

  if (error && "status" in error && error.status === 404) {
    return <NotFoundView />;
  }

  if (error) {
    return <ApiAlertError error={error} />;
  }

  return (
    <>
      {ioc ? <IOCDetailsView ioc={ioc} /> : <LinearProgress color="primary" />}
    </>
  );
}
