import { EmptyValue, InternalLink, useUniqueKeys } from "@ess-ics/ce-ui-common";
import { Stack } from "@mui/material";

export const Alias = ({ aliases }) => {
  const itemsKeys = useUniqueKeys(aliases);

  if (!aliases || aliases.length === 0) {
    return <EmptyValue />;
  }

  return (
    <Stack
      direction="row"
      gap={1.5}
      flexWrap="wrap"
    >
      {aliases.map((alias, index) => (
        <InternalLink
          key={itemsKeys[index]}
          to={`/records/${alias}`}
          label={alias}
        >
          {`${alias}${index < aliases.length - 1 && aliases.length > 1 ? "," : ""}`}
        </InternalLink>
      ))}
    </Stack>
  );
};
